Bug 865972 - [RFE] Add configuration file to fpaste to permit usage of any sticky-notes server
[RFE] Add configuration file to fpaste to permit usage of any sticky-notes se...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fpaste (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 20:14 EDT by Ankur Sinha (FranciscoD)
Modified: 2013-04-27 23:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-25 21:04:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch: adds an option for URL (2.25 KB, patch)
2013-04-13 23:37 EDT, Ankur Sinha (FranciscoD)
no flags Details | Diff

  None (edit)
Description Ankur Sinha (FranciscoD) 2012-10-12 20:14:43 EDT
It would be good to make fpaste read a configuration file that would let users point it to their own sticky notes instances if required. The fedora default will be to point it to our sticky notes instance.
Comment 1 Ankur Sinha (FranciscoD) 2012-10-18 19:21:38 EDT
Filed upstream. 


https://fedorahosted.org/fpaste/ticket/7


Keeping ticket open to track progress. 

Thanks,
Ankur
Comment 2 Ankur Sinha (FranciscoD) 2013-04-13 23:37:13 EDT
Created attachment 735521 [details]
Patch: adds an option for URL

I've written a patch that adds an option that enables the user to use another fpaste server. I haven't gotten down to including a configuration file yet.

[ankur@localhost  fpaste-0.3.7.1(master %=)]$ python fpaste
asdfasfd
asfsafd
Uploading (0.1KiB)...
http://paste.fedoraproject.org/7418
[ankur@localhost  fpaste-0.3.7.1(master %=)]$ python fpaste -U http://paste.stg.fedoraproject.org/  #trailingSlashIsImportant
sadsadf
asdfasdfsadf
sadfasf
Uploading (0.1KiB)...
http://paste.stg.fedoraproject.org/4091
[ankur@localhost  fpaste-0.3.7.1(master %=)]$ python fpaste -h
Usage: fpaste [OPTION]... [FILE]...
  send text file(s), stdin, or clipboard to the http://paste.fedoraproject.org/ pastebin and return the URL.

Examples:
  fpaste file1.txt file2.txt
  dmesg | fpaste
  (prog1; prog2; prog3) | fpaste
  fpaste --sysinfo -d "my laptop" --confirm
  fpaste -n codemonkey -d "problem with foo" -l python foo.py

Options:
  --version             show program's version number and exit
  -h, --help            show this help message and exit

  fpaste.org Options:
    -n "NICKNAME"       your nickname; default is ""
    -d "DESCRIPTION"    description of paste; default appends filename(s)
    -l "LANGUAGE"       language of content for syntax highlighting; default
                        is "text"; use "list" to show all 160 supported langs
    -x EXPIRES          time before paste is removed; default is 86400
                        seconds; valid options: 3600, 10800, 43200, 86400
    -P "PRIVATE", --private="PRIVATE"
                        make paste private; default is no; valid options: yes,
                        no
    -U "FPASTE URL", --URL="FPASTE URL"
                        URL of fpaste server; default is
                        http://paste.fedoraproject.org/

  Input/Output Options:
    -i, --clipin        read paste text from current X clipboard selection
                        [requires: xsel]
    -o, --clipout       save returned paste URL to X clipboard
    --selection=CLIP    specify which X clipboard to use. valid options:
                        "primary" (default; middle-mouse-button paste),
                        "secondary" (uncommon), or "clipboard" (ctrl-v paste)
    --fullpath          use pathname VS basename for file description(s)
    --pasteself         paste this script itself
    --sysinfo           paste system information
    --printonly         print paste, but do not send
    --confirm           print paste, and prompt for confirmation before
                        sending
[ankur@localhost  fpaste-0.3.7.1(master %=)]$

I'll post the patch upstream.

Thanks,
Ankur
Comment 3 Fedora Update System 2013-04-17 09:57:46 EDT
fpaste-0.3.7.1-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fpaste-0.3.7.1-8.fc18
Comment 4 Fedora Update System 2013-04-17 09:58:11 EDT
fpaste-0.3.7.1-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fpaste-0.3.7.1-8.fc19
Comment 5 Fedora Update System 2013-04-17 22:33:37 EDT
Package fpaste-0.3.7.1-8.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fpaste-0.3.7.1-8.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5939/fpaste-0.3.7.1-8.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-04-25 21:04:34 EDT
fpaste-0.3.7.1-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-04-27 23:48:11 EDT
fpaste-0.3.7.1-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.